Probatix Documentation
Probatix Diagnostics API v1

Retrieves the collection of DiagnosticProduct resources.

Retrieves the collection of DiagnosticProduct resources.

GET
/v1/diagnostic_products

Retrieves the collection of DiagnosticProduct resources.

X-API-TOKEN<token>

In: header

Query Parameters

page?integer

The collection page number

biomarkerPanel[]?array<string>

Filter by identifier, IRI, or canonical identifier.

createdAt[gt]?string

Return resources with `createdAt` greater than the given timestamp.

createdAt[gte]?string

Return resources with `createdAt` greater than or equal to the given timestamp.

createdAt[lt]?string

Return resources with `createdAt` less than the given timestamp.

createdAt[lte]?string

Return resources with `createdAt` less than or equal to the given timestamp.

diagnosticProduct[]?array<string>

Filter by identifier, IRI, or canonical identifier.

sort[createdAt]?string

DiagnosticProduct sort[createdAt]

Allowed values: "asc", "desc", "ASC", "DESC"

sort[id]?string

DiagnosticProduct sort[id]

Allowed values: "asc", "desc", "ASC", "DESC"

status[]?array<string>

DiagnosticProduct status

Header Parameters

accept-language?string

Language for Errors and Translatable properties

Allowed values: "de", "en", "fr"

Response Body

curl -X GET "https://example.com/v1/diagnostic_products" \  -H "accept-language: de"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "createdAt": "2019-08-24T14:15:22Z",    "status": "active"  }]